<template>
  <footer class="footer">
    <div class="container">
      <a href="/" class="logo">
        <img src="../assets/img/logo_white.svg" alt />
      </a>
      <div class="block">
        <div class="nav">
          <p>Menu</p>
          <ul class="listNavigation" id="footerMenu">
            <li>
              <a href="service.html">Offerings</a>
            </li>
            <li>
              <a href="catalog.html">Catalog</a>
            </li>
            <li>
              <a href="solution.html">Solution</a>
            </li>
            <li>
              <a href="news.html">News</a>
            </li>
            <li>
              <a href="contact.html">Contact</a>
            </li>
          </ul>
        </div>
        <div class="nav">
          <p>Help</p>
          <ul class="listNavigation" id="helpMenu">
            <li>
              <a href>Support</a>
            </li>
            <li>
              <a href>API Doc</a>
            </li>
            <li>
              <a href>Q&A</a>
            </li>
          </ul>
        </div>
        <div class="social">
          <p>Social Networks</p>
          <ul>
            <li>
              <a href>
                <img src="../assets/img/twitter.svg" alt />
              </a>
            </li>
            <li>
              <a href>
                <img src="../assets/img/linkedin.svg" alt />
              </a>
            </li>
          </ul>
        </div>
      </div>
    </div>
  </footer>
</template>

<script lang="ts">
import { Component, Vue, Prop } from "vue-property-decorator";

@Component
export default class TheFooter extends Vue {}
</script>

<style lang="scss" scoped>
.footer {
  grid-area: footer;
  display: flex;
  align-items: center;
  padding: 3rem 0;
  color: $white;

  .logo {
    display: inline-block;
    @include media("<=phone") {
      margin: auto;
    }
  }

  .block {
    display: flex;
    justify-content: space-between;
    margin-top: 30px;

    @include media("<tablet") {
      flex-direction: column;
      align-items: center;
    }

    > div p {
      opacity: 0.6;
      font-size: 0.889rem;
      margin-bottom: 5px;
    }
  }

  .nav {
    @include media("<=phone") {
      text-align: center;
      margin-bottom: 50px;
    }
  }

  .listNavigation {
    display: flex;
    width: auto;

    @include media("<=phone") {
      flex-flow: row wrap;
      width: 100%;
    }

    li {
      margin: 0 10px;

      @include media("<=phone") {
        margin: 0 5px;

        &:last-child {
          margin-right: 0;
        }
      }

      &:nth-child(1) {
        margin-left: 0;
      }

      a {
        color: $white;
      }

      a:hover {
        opacity: 0.7;
      }
    }
  }

  .social {
    ul {
      @include media("<=phone") {
        text-align: center;
      }
    }
    li {
      display: inline-block;
      margin: 0 10px;

      @include media(">phone", "<=tablet") {
        margin: 0 1rem;
      }

      &:first-child {
        margin-left: 0;
      }

      a {
        display: inline-block;

        &:hover {
          transform: translateY(-2px);
        }
      }
    }
  }
}
</style>
